# TdApi.UpdateChatOrder

Package it.ernytech.tdlib

## Class TdApi.UpdateChatOrder

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateChatOrder

Enclosing class:
  TdApi

    public static class TdApi.UpdateChatOrder
    extends TdApi.Update

The order of the chat in the chats list has changed. Instead of this update updateChatLastMessage, updateChatIsPinned or updateChatDraftMessage might be sent.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `order` New value of the order.

### Constructor Summary

Constructors
`UpdateChatOrder()` Default constructor.
`UpdateChatOrder​(long chatId, long order)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### order

    public long order

New value of the order.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateChatOrder

    public UpdateChatOrder()

Default constructor.

#### UpdateChatOrder

    public UpdateChatOrder​(long chatId,
                           long order)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `order` - New value of the order.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR